#include "datafox/communication/controller_segment.h"

controller_segment::controller_segment()
{
    init();
}

void controller_segment::init()
{
    reset();
    transfer_flags = 0;
    allowed_transfer_types = 0;
    duration = std::chrono::seconds(0);
}

void controller_segment::reset()
{
    transfer_state = bts_inactive;
    transfer_type = btt_none;
    begin_time_point = std::chrono::system_clock::time_point();
    current_time_slot_time_point = std::chrono::system_clock::time_point();;
    end_time_point = std::chrono::system_clock::time_point();;
    update_variation = 0;
    number = 0;
    max_number = 0;
    address = 0;
    size = 0;
    crc = 0;
    resume = false;
    discard = false;
}